![AshLands Spoiler](https://imgur.com/OakTJZk.png)

![AshLands Spoiler](https://imgur.com/4J2r9Gh.png)

![DeepNorth Spoiler](https://imgur.com/mfv0ER2.png)

![DeepNorth Spoiler](https://imgur.com/8lFXvVT.png)

![Shark Spoiler](https://imgur.com/MdcRM1S.png)


# About:

- This mod adds AshLands monsters & bosses, DeepNorth monsters & bosses, Ocean monsters, and locations. 

- For armors & weapons based on the RtD materials use [RtDItems](https://valheim.thunderstore.io/package/ReadyToDie/RtDItems/)

- For great Biomes grab [RtDBiomes](https://valheim.thunderstore.io/package/ReadyToDie/RtDBiomes/)

DELETE OLD CONFIG IF UPDATING TO 1.1.9

**// Feel free to join RtD, please do not DM me. -> [Ready to Die](https://discord.gg/auBHGuD5Mh) //**

# Special Thanks:

Horem started it all.. Without him I never would of started modding.
Cookie took many hours of his time to teach me Monsters & Animations.
ProbalyKory, BlackS7ar, Therzie, & MonsterLabz thank you for helping me too! 
This went a long way, and be sure to check their mods out!
The people who funded this this mod, I cannot thank you enough!
Everyone else who's still involved you're appreciated!
**// Horems mods [Horem](https://valheim.thunderstore.io/package/Horem/) //**
**// Cookies mods [CookieMilk](https://valheim.thunderstore.io/package/CookieMilk/) //**
**// He's probably Kory [probablykory](https://valheim.thunderstore.io/package/probablykory/) //**
**// Therzie's mods [Therzie](https://valheim.thunderstore.io/package/Therzie/) //**
**// Blacks7ar's mods [BlackS7ar](https://valheim.thunderstore.io/package/blacks7ar/) //**
**// MonsterLabz [MonsterLabz](https://valheim.thunderstore.io/package/MonsterLabZ/MonsterLabZ/) //**

# RoadMap:

Primary content of Items mod has been finished! More things and stuff related to objects will be coming! :D 

# Version

<details>
  <summary>1.0.0</summary>

  - Initial release.
</details>

<details>
  <summary>1.0.1</summary>

  - Updated code to fix monsters that were spawning under the sand.
</details>

<details>
  <summary>1.0.2</summary>

  - Added that changelog late.
</details>

<details>
  <summary>1.0.3</summary>

  - Bug fix.
</details>

<details>
  <summary>1.0.4</summary>

  - Depth change.
</details>

<details>
  <summary>1.0.5</summary>

  - Depth change.
</details>

<details>
  <summary>1.0.6</summary>

  - AI vision range. 
  - AI hearing range. 
  - AI alert range increased. 
</details>

<details>
  <summary>1.0.7</summary>

  - Reduced damage to boats on all monsters.
  - Shrunk sharks physical size. 
  - Squid spawn at night only.
</details>

<details>
  <summary>1.0.8</summary>

  - Adjusted shark colliders.
</details>

<details>
  <summary>1.0.9</summary>

  - Decreased spawn rates of Sea Monsters.
  - Sea Monsters loot float script.
  - Shark animation adjustment.
</details>

<details>
  <summary>1.1.0</summary>

  - Adjusted Shark movement.
  - 5 new AshLands locations.
  - 5 new AshLands monsters.
  - 2 new AshLands bosses.
</details>

<details>
  <summary>1.1.1</summary>

  - Added loot to stone chests at abandonded ruins.
  - 1 new tameable; DragonBoar_RtD baby asset; DragonPiglet_RtD.
  - 1 new meat; DragonBoarMeat_RtD & CookedDragonBoarMeat_RtD.
  - New meat cooks on IronCookingStation.
  - Fixed shader on Demon Hide.
  - Fixed Demon Hide localization.
  - Added Demon Hide description.
  - Reduced Assassin bomb interval (attacks with bomb less now).
  - Reduced Wizard spell intervals .
</details>

<details>
  <summary>1.1.2</summary>

- Added location for fixed spawner with Dragon Boars (helps control spawners for performance) 
- Changed GothicRuin1_RtD & GothicRuin2_RtD heightmap to Everything.
- Increased DragonBoar health. 
</details>

<details>
  <summary>1.1.3</summary>

- Added 5 new locations to DeepNorth.
- 1 End game boss (DeepNorth).
- 3 Fairies (DeepNorth).
- 4 Elfs (DeepNorth).
- 2 Tameable Fae Wolf with pups.
- 1 New Ice Elemental.
- Loot for future mod.
- Localizations English.
- New DeepNorth meat in preperation for new recipe with future mod.
- Fixed Shark attacks & animations.
- Fixed MurkPod attacks & animations.
- Fixed BoneFish attacks & animations.
- Fixed BoneSquid attacks & animations.
- Fixed Luminous Looker attacks & animations.
- Nerfed Wizard projectile velocity 
- Nerfed Necromancer
- Fixed double znet view on GothicRuins1_RtD
</details>

<details>
  <summary>1.1.4</summary>

- Updated about information.
</details>

<details>
  <summary>1.1.5</summary>

- Updated FaeTree_RtD leafs material to match vanilla.
- Fairy's have more defensive spells than attack now. 
- Nerfed all projectiles on all monsters.
- Added French localizations for translation.
- Added Russian localizations for translation.
- Added German localizations for translation.
- Fairy 3 does 1 projectile vs 2.
- Reduced interval of Assassin bomb.
</details>

<details>
  <summary>1.1.6</summary>

- Added Polish localizations for translation.
</details>

<details>
  <summary>1.1.7</summary>

- Fixed bug with DragonKing trophy.
</details>

<details>
  <summary>1.1.8</summary>

- Updated all attack names with siganture to help offer third party mod support.
</details>

<details>
  <summary>1.1.9</summary>

- Updated each prefab to have signature _RtD to help third party mod support.
- Updated config options.
- Minor projectile speed adjustment on Fae. 
- (Make sure to delete old config).
</details>

<details>
  <summary>1.2.0</summary>

- Added new trophy to item data base.
- Localizations for trophy. 
</details>

<details>
  <summary>1.2.1</summary>

- Modified several drops in preperation for new mod.
- Added Ukrainian translations (applies to in game menu).
- Fixed FaeWolfMeat. 
- Added SpiritHeart to end game boss for Thors Hammer.
- Adjusted drop rate for Wizard rares.
</details>

<details>
  <summary>1.2.2</summary>

- All sea monsters spawn during day & night now. 
</details>

<details>
  <summary>1.2.3</summary>

- BoneSquid will only spawn at night.
- The Looker will only spawn at night.
- Reduced average spawn rate for sea monsters due to high sunken ship rates. 
</details>

<details>
  <summary>1.2.4</summary>

- Added world spawners in addition to all local spawners AshLands & DeepNorth. 
- Resized FaeTree since it looked goofy.
- Increased Fairy health by 100 damage.
</details>

<details>
  <summary>1.2.5</summary>

- Increase crusader projectile velocity.
- Nerf Necromancer health.
- Increased wizard attack interval. 
- Increased burning gland drop rate on Wizard. 
- Increased fairy attack from every 10 seconds to 7. 
- Fairy projectile splits into 2. 
- Fixed demon projectile.
- Increased Necromancer Core drops per player. 
- Changed localizations to JSON support.
</details>

<details>
  <summary>1.2.6</summary>

- Small bug fix.
</details>

<details>
  <summary>1.2.7</summary>

- Fixed fae spawner bug where it was turning into a greydwarf spawner. 
</details>

<details>
  <summary>1.2.8</summary>

- Adjusted FaeSpawner health
- Adjusted FaeSpawner Drop
- Adjusted Gloss on all elfs, they were too shiny. 
</details>

<details>
  <summary>1.2.9</summary>

- Updated instructions.
</details>

<details>
  <summary>1.3.0</summary>

- (things got broken on Unity 2022 upgrade and have been fixed)
- Fixed Necromancer attacks
- Fixed Spirit attacks
- Fixed all projectiles
- Fixed all sea monsters
- Fixed berserker movement
- Adjusted projectile accuracy accordingly per monster.
- Increased Fae Wolf run acceleration
- Increased Berserker run acceleration
- Reduced Berserker run speed animation. 
- Fixed many other small issues and made multi small adjustments to fine tune monsters. 
- Fixed shark swim movement, it no longer twitches when turning.
</details>

<details>
  <summary>1.3.1</summary>

- Updated localization file structure. 
</details>






        
